> For the complete documentation index, see [llms.txt](https://docs.appmixer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.appmixer.com/kb/appmixer-studio-features/utility-modules/scheduling.md).

# Scheduling

[Previously, you learned about the power of Webhooks and HTTP requests](/kb/appmixer-studio-features/utility-modules/http.md). In this section, we'll show you a simple yet effective way to implement Scheduling features into your flows.

Imagine we want to get a daily notification based on the current weather. In the flow below, we look at cloudiness and, based on the current weather, send either a "Cloudy" or "Sunny" email.

![Using the "Timer" component in a flow](https://660555879-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-Meyy9fJyhzsrd3q4-5N%2F-MfXjqPpgUGEqdV2Fd9n%2F-MfXm8DpL52411Jz-zGi%2Fpic-15.2.png?alt=media\&token=193e3b18-0bb2-4701-9c17-58919426cfa4)

Notice how we've used the "Timer" component (named "Every day" and located at the beginning of the flow) to run the flow every 24 hours (1440 minutes).

{% hint style="info" %}
Note that you could as well use the Scheduler component which provides a more flexible configuration when it comes to scheduling. The Scheduler component uses the cron syntax. Learn more here: <https://en.wikipedia.org/wiki/Cron>
{% endhint %}

You may have noticed, we used the "Timers" module that consist of three components: Scheduler, Timer and Wait.

![Scheduler, Timer and Wait components](https://660555879-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-Meyy9fJyhzsrd3q4-5N%2F-MfXm_zg-jHBnQZbnU5F%2F-MfXmtAa20UYxlmWE1ne%2Fgif-15.2.gif?alt=media\&token=00da776a-899b-48fe-9f1a-616abf5cc817)

Here is a simple explanation of each of the "Timers" components.

{% tabs %}
{% tab title="Timers component" %}
**Scheduler**\
This trigger schedules jobs to run periodically at fixed times, dates, or intervals using the [cron syntax](https://www.netiq.com/documentation/cloud-manager-2-5/ncm-reference/data/bexyssf.html).

**Timer**\
This trigger fires at the frequency provided by the interval configuration property. First message is sent to output when flow is started, this message does not have lastTick' and 'elapsed' property set.

**Wait**\
This component receives a message and waits for provided time (interval) to send original message to output port.
{% endtab %}
{% endtabs %}

{% hint style="info" %}
Keep in mind that you can customise all components and also implement your own using NodeJS and upload them to the Appmixer engine via the API to suit your specific business needs.
{% endhint %}

Having learned the basics about the Scheduling feature, [let's look at another great tool, Forms](/kb/appmixer-studio-features/utility-modules/forms.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.appmixer.com/kb/appmixer-studio-features/utility-modules/scheduling.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
